<?php

namespace Packages\Product\Http\Requests;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class ProductRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
//        dd(request()->all());
        return [
            'title' => ['required','max:100'],
            'price' => ['required'],
            'type' => ['required'],
            'slug' => ['unique:products'],
            'status' => ['required'],
            'discription' => ['required'],
            'categories' => ['required'],
            'featureDescription' => ['nullable'],
            'featureCaption' => ['nullable'],
            'descriptionImg' => ['nullable'],
            'caption' => ['nullable'],
            'gallery_image' => ['nullable'],
            'featured_image' => ['nullable', 'image', 'mimes:jpeg,jpg,png,gif', 'max:8000'],


        ];

    }

}
